---
title:  CSCI 1301 - Lab 26
author: Clément Aubert
dir: ltr
lang: en
documentclass: scrartcl
papersize: letter
header-includes:
 - \setromanfont[Ligatures={Common,TeX}]{Linux  Libertine O}
 - \setmainfont[Ligatures={Common,TeX}]{Linux  Libertine O}
 - \setsansfont{Linux Biolinum O}
 - \setmonofont{DejaVu Sans Mono}
 - \usepackage{xunicode}
 - \hypersetup{colorlinks=true, allcolors=black}
 - \topmargin=-0.45in
 - \evensidemargin=0in
 - \oddsidemargin=0in
 - \textwidth=6.5in
 - \textheight=9.0in
 - \headsep=0.25in
 - \linespread{1.1}
 - \setlength\parindent{0pt}
 - \usepackage{lastpage}
 - \usepackage{fancyhdr}
 - \pagestyle{fancy}
 - \fancypagestyle{plain}{
        \cfoot{\href{http://spots.augusta.edu/caubert/pcp/}{spots.augusta.edu/caubert/pcp/}}
        \rfoot{Page\ \thepage\ of\ \protect\pageref{LastPage}}\renewcommand{\footrulewidth}{0.4pt}
        \lhead{}
        \rhead{}
        \renewcommand{\headrulewidth}{0pt}
    }
 - \lhead{\textbf{Lab 26}}
 - \rhead{CSCI 1301 - Principles of Computer Programming I--Spring 2018}
 - \lfoot{Tue., 19th April}
 - \cfoot{\href{http://spots.augusta.edu/caubert/pcp/}{spots.augusta.edu/caubert/pcp/}}
 - \rfoot{Page\ \thepage\ of\ \protect\pageref{LastPage}}
 - \renewcommand{\footrulewidth}{0.4pt}
 - \renewcommand{\headrulewidth}{0.4pt}
 - \usepackage{fvextra}
 - \DefineVerbatimEnvironment{Highlighting}{Verbatim}{breaklines,commandchars=\\\{\}}
---


# Part I - Wrapping Up Lab 25

Start by downloading an updated version of the `Game` class: [Game_V2](Game_V2.zip).

Look for `/* New code below, what is above is unchanged.*/` and compare with your answers.
Have a look at the `Program` class as well, and make sure you understand how it works.

# Part II - Extending the Class

- Write getters for the `players`, `names` and `scores` attributes.
- Write two new `AddAPlayer` methods: one that takes a string as argument, the name of the new player, and one that takes a string and an integer as arguments, the name and score of the new player.

# Part III - Extending the Program

Reproduce what we did in class today:

- Test the methods you just write,
- Create an array of `Game` objects,
- Populate it with data,
- Display the objects in your array,
- Display the name of the player who have the greatest number of greater score

Can you also try to compute the average of each player?
