---
title:  CSCI 1301 - Lab 27
author: Clément Aubert
dir: ltr
lang: en
documentclass: scrartcl
papersize: letter
header-includes:
 - \setromanfont[Ligatures={Common,TeX}]{Linux  Libertine O}
 - \setmainfont[Ligatures={Common,TeX}]{Linux  Libertine O}
 - \setsansfont{Linux Biolinum O}
 - \setmonofont{DejaVu Sans Mono}
 - \usepackage{xunicode}
 - \hypersetup{colorlinks=true, allcolors=black}
 - \topmargin=-0.45in
 - \evensidemargin=0in
 - \oddsidemargin=0in
 - \textwidth=6.5in
 - \textheight=9.0in
 - \headsep=0.25in
 - \linespread{1.1}
 - \setlength\parindent{0pt}
 - \usepackage{lastpage}
 - \usepackage{fancyhdr}
 - \pagestyle{fancy}
 - \fancypagestyle{plain}{
        \cfoot{\href{http://spots.augusta.edu/caubert/pcp/}{spots.augusta.edu/caubert/pcp/}}
        \rfoot{Page\ \thepage\ of\ \protect\pageref{LastPage}}\renewcommand{\footrulewidth}{0.4pt}
        \lhead{}
        \rhead{}
        \renewcommand{\headrulewidth}{0pt}
    }
 - \lhead{\textbf{Lab 27}}
 - \rhead{CSCI 1301 - Principles of Computer Programming I--Spring 2018}
 - \lfoot{Thu., 24th April}
 - \cfoot{\href{http://spots.augusta.edu/caubert/pcp/}{spots.augusta.edu/caubert/pcp/}}
 - \rfoot{Page\ \thepage\ of\ \protect\pageref{LastPage}}
 - \renewcommand{\footrulewidth}{0.4pt}
 - \renewcommand{\headrulewidth}{0.4pt}
 - \usepackage{fvextra}
 - \DefineVerbatimEnvironment{Highlighting}{Verbatim}{breaklines,commandchars=\\\{\}}
---


# Part I - Solution to Project #5

You can find a possible solution to project #5 here: [Project5](Project5.zip).
Compare those solutions with the one you obtained, and make sure you understand them.
If you feel comfortable with them, have another look at the additional algorithms you were asked to think about.

# Part II - Wrapping up Lab 26

Start by downloading an updated version of the `Game` class: [Game_V3](Game_V3.zip).

In this project, the `Game` class stayed the same (there were just two getters added, look for `/* New code below, what is above is unchanged.*/`).
The main difference is in the `Program` class: it is now manipulating an array of `Game` objects.
Make sure you understand this code, and how arrays of objects are created.

The (ambitious) challenge remains the same as during lab 25: can you compute the average of each player?
Try to tackle the problems in smaller chunks:

1. Can you display all the scores as integers?
2. Can you sum the scores of a particular player?
3. Can you compute the average of a particular player?
