---
title: Principles of Computer Programming I
subtitle: Lab
author: Clément Aubert
dir: ltr
lang: en
keywords:
- Computer Science
- Computer programming
- Problem solving methods
- Syllabus
- Augusta University
- Bachelor of Science
documentclass: scrartcl
papersize: letter
numbersections: true
header-includes:
 - \hypersetup{colorlinks=true, allcolors=[rgb]{0, 0, 0.8}}
 - \renewcommand\thesection{}
 - \makeatletter \renewcommand\thesubsection{\@arabic\c@subsection} \makeatother
---

~~~~~~~{.cs .numberLines .lineAnchors}
// Fig. 3.1: Welcome1.cs
// Text-displaying app.
using System;
 
class Welcome1
{
   // Main method begins execution of C# app
   static void Main()
   {
      Console.WriteLine("Welcome to the lab portion of CSCI 1301!");                   
   } // end Main
} // end class Welcome1
~~~~~~~


| Jan. ||
| --- | --- |
| 04 - Lab 01| [webpage](01/), [printable document](01/index.pdf)|
| 09 - Lab 02| [webpage](02/), [printable document](02/index.pdf)|
| 11 - Lab 03| [webpage](03/), [printable document](03/index.pdf)|
| 16 - Lab 04| [webpage](04/), [printable document](04/index.pdf)|
| 18 - Lab 05| [webpage](05/), [printable document](05/index.pdf)|
| 23 - Lab 06| [webpage](06/), [printable document](06/index.pdf)|
| 25 - Lab 07 - Milestone #1| [webpage](07/), [printable document](07/index.pdf)|
| 30 - Lab 08| [webpage](08/), [printable document](08/index.pdf)|


| Feb. ||
| --- | --- |
| 01 - Lab 09| [webpage](09/), [printable document](09/index.pdf)|
| 06 - Lab 10| [webpage](10/), [printable document](10/index.pdf)|
| 08 - Lab 11| [webpage](11/), [printable document](11/index.pdf)|
| 13 - No Lab| Review Session |
| 15 - No Lab| Exam #1 Correction |
| 20 - Lab 12 - Project #3 | [webpage](12/), [printable document](12/index.pdf)|
| 22 - Lab 13 | [webpage](13/), [printable document](13/index.pdf)|
| 27 - Lab 14 | [webpage](14/), [printable document](14/index.pdf)|

| Mar. ||
| --- | --- |
| 01 - Lab 15| [webpage](15/), [printable document](15/index.pdf)|
| 06 - Lab 16 - Milestone #2 | [webpage](16/), [printable document](16/index.pdf)|
| 13 - Lab 17| [webpage](17/), [printable document](17/index.pdf)|
| 15 - Lab 18 - Guide for Project #4 | [webpage](18/), [printable document](18/index.pdf)|
| 20 - Lab 19 | [webpage](19/), [printable document](19/index.pdf)|
| 22 - Lab 20 | [webpage](20/), [printable document](20/index.pdf)|
| 27 - Lab 21 | [webpage](21/), [printable document](21/index.pdf)|
| 29 - Lab 22 - Exam #2 | [webpage](22/), [printable document](22/index.pdf)|

| Apr. ||
| --- | --- |
| 10 - Lab 23 | [webpage](23/), [printable document](23/index.pdf)|
| 12 - Lab 24 - Project #5 | [webpage](24/), [printable document](24/index.pdf)|
| 17 - Lab 25 | [webpage](25/), [printable document](25/index.pdf)|
| 19 - Lab 26 | [webpage](26/), [printable document](26/index.pdf)|
| 24 - Lab 27 | [webpage](27/), [printable document](27/index.pdf)|




<footer>
 The lab uses a [custom style](VisualCS.theme) based on [skylighting](https://github.com/jgm/skylighting) to [highlight](https://pandoc.org/MANUAL.html#syntax-highlighting) the code with [pandoc](https://pandoc.org).
 </footer>
 
 
 
 
