﻿using System;
class Student
{
    private string name; // Name of the student
    private char section; // Section of the student
    private static int sectionA = 3; // static counter, 3 is the maximal enrollement in section A.

    // Constructor that takes the name of the student as an argument,
    // and sets the section to A if there are still slots available,
    // to W (like waiting) if not.

    public Student(string nameP)
    {
        name = nameP;
        if (sectionA > 0)
        {
            section = 'A';
            sectionA--; // Don't forget to decrement: there is 1 slot less available!
        }
        else
            section = 'W'; // The student goes on the waiting list.
    }

    public Student(string nameP, char sectionP)
    {
        name = nameP;
        if (sectionP == 'A' || sectionP == 'a')
        {
            if (sectionA == 0)
            {
                Console.WriteLine($"Sorry {name}, the only section is full, you are on the waiting list");
                section = 'W';
            }
            else
            {
                section = 'A';
                sectionA--;
            }
        }
        else
        {
            Console.WriteLine("The only section for this class is A, so you will be assigned to this section.");
            section = 'A';
            sectionA--;
        }
    }

}

