﻿using System;

    class Program
    {
        static void Main()
        {
 /*
  * A theme park has the following rates:
  * 
  * Age (in years)  From 0 to 12    From 13 to 16   From 17 to 64   65 and over
  * Price (in $)    Free            5.00            12.00           Free
  * 
  * Write a program that asks the user his/her age. If the user enters something that is not an integer, or a negative value, your program should ask for a “sensible” value, and keep asking as long as the value the user typed in was not “sensible”. When your program obtained a “sensible” value, it should display at the screen “It is free for you”, or the price, accordingly.
  */

        int age;
        string answer;

        do
        {
            Console.Write("Please, enter your age.\n");
            answer = Console.ReadLine();
        } while (! int.TryParse(answer, out age) || age < 0);

        if (age < 13 || age > 64) { Console.WriteLine("It is free for you");}
        else if (age < 17) { Console.WriteLine($"It is {5:C}.");}
        else { Console.WriteLine($"It is {12:C}."); }


    }
}

