﻿/*
 * Clément Aubert
 * 03/27/2018
 * Rock, Paper, Scissors Game -- Project #4
 * This is a possible solution, many other answers were valid.
 * 
 * However, the following were considered as mistakes:
 * - No name and date in delimited comment
 * - Generating only 2 different random numbers
 * - Having an improper condition to exit the game
 * - Having the logic of the game wrong
 * - Not taking lower case characters as proper values
 * 
 */

using System;

class Program
{
    static void Main()
    {
        string answer = "";
        int w = 0, l = 0, t = 0; // Variables for the number of wins, looses, and ties.
        bool valid = false; // Flag needed to hold whenever the input is valid or not.
        Random rnd = new Random(); // Random generator.
        int a; // Will hold the random number.
        while (answer != "q") // "As long as the answer is not "quit"..."
        {
            do // This part performs input validation.  We also "normalize" the input : all characters are mapped to their lowercase versions.
            {
                Console.WriteLine("Enter R, P, S, or Q to quit.");
                answer = Console.ReadLine();
                if (answer == "R" || answer == "r") { valid = true; answer = "r"; }
                else if (answer == "P" || answer == "p") { valid = true; answer = "p"; }
                else if (answer == "S" || answer == "s") { valid = true; answer = "s"; }
                else if (answer == "Q" || answer == "q") { valid = true; answer = "q"; }
            } while (!valid);

            valid = false; // Once we exited this loop, we set this flag to false, so that the user will need to give a valid answer to exit the input validation loop.
            if (answer != "q") // We enter this branch only if the user gave a valid answer that isn't q.
            {
                // This part is about generating and displaying at the screen what the computer played.
                a = rnd.Next(1, 4); // Generate a random value between 1 and 3.
                switch (a)
                {
                    case (1):
                        Console.WriteLine("The computer played rock.");
                        break;
                    case (2):
                        Console.WriteLine("The computer played paper.");
                        break;
                    case (3):
                        Console.WriteLine("The computer played scissor.");
                        break;
                }
                // Now we compute the outcome of that round.
                if (answer == "r")
                {
                    if (a == 1) { t += 1; }
                    if (a == 2) { l += 1; }
                    if (a == 3) { w += 1; }
                }
                if (answer == "p")
                {
                    if (a == 1) { w += 1; }
                    if (a == 2) { t += 1; }
                    if (a == 3) { l += 1; }
                }
                if (answer == "s")
                {
                    if (a == 1) { l += 1; }
                    if (a == 2) { w += 1; }
                    if (a == 3) { t += 1; }
                }
                // And, finally, we display the result at the screen.
                Console.WriteLine($"t : {t}, w: {w}, l: {l}");
            }
            else // We enter this branch only if the user entered a valid answer, and that valid answer is q.
            {
                Console.WriteLine("Bie!");
            }
        }
    }
}
