---
title:  CSCI 1301 - Lab 24
author: Clément Aubert
dir: ltr
lang: en
documentclass: scrartcl
papersize: letter
header-includes:
 - \setromanfont[Ligatures={Common,TeX}]{Linux  Libertine O}
 - \setmainfont[Ligatures={Common,TeX}]{Linux  Libertine O}
 - \setsansfont{Linux Biolinum O}
 - \setmonofont{DejaVu Sans Mono}
 - \usepackage{xunicode}
 - \hypersetup{colorlinks=true, allcolors=black}
 - \topmargin=-0.45in
 - \evensidemargin=0in
 - \oddsidemargin=0in
 - \textwidth=6.5in
 - \textheight=9.0in
 - \headsep=0.25in
 - \linespread{1.1}
 - \setlength\parindent{0pt}
 - \usepackage{lastpage}
 - \usepackage{fancyhdr}
 - \pagestyle{fancy}
 - \fancypagestyle{plain}{
        \cfoot{\href{http://spots.augusta.edu/caubert/pcp/}{spots.augusta.edu/caubert/pcp/}}
        \rfoot{Page\ \thepage\ of\ \protect\pageref{LastPage}}\renewcommand{\footrulewidth}{0.4pt}
        \lhead{}
        \rhead{}
        \renewcommand{\headrulewidth}{0pt}
    }
 - \lhead{\textbf{Lab 24}}
 - \rhead{CSCI 1301 - Principles of Computer Programming I--Spring 2018}
 - \lfoot{Tue., 12th April}
 - \cfoot{\href{http://spots.augusta.edu/caubert/pcp/}{spots.augusta.edu/caubert/pcp/}}
 - \rfoot{Page\ \thepage\ of\ \protect\pageref{LastPage}}
 - \renewcommand{\footrulewidth}{0.4pt}
 - \renewcommand{\headrulewidth}{0.4pt}
 - \usepackage{fvextra}
 - \DefineVerbatimEnvironment{Highlighting}{Verbatim}{breaklines,commandchars=\\\{\}}
---

Today's lab is devoted to Project #5.
Download the following archive: [Project5](Project5.zip), extact it and open it in Visual Studio.

The project contains two files: `Program.cs` and `ArrayLib.cs`.

- `Program.cs` is just the "application program", here to test the methods written in `ArrayLib.cs`. 
- `ArrayLib.cs` is an (incomplete) "library" of methods to manipulate arrays. It is static, so that we don't need to create objects in `Program.cs`.

Your goal is to complete `ArrayLib.cs`, i.e., to write the body of the methods `FindMax`, `FindMin`, `Average`,  etc. You are not supposed to change the headers of these methods, but only to complete their bodies: change them so that they return the expected values instead of always returning $0$ (or `false`) as they do now.
Use `Program.cs` to check your answer, and edit it if you want to perform other tests (but, please, don't spend too much time tweaking the displaying).

Your project is due **04/19**, before midnight, you can turn it in using any method (but please, be aware that sending projects through emails can be buggy).
Do not copy-and-paste code from other source, or re-use methods from a pre-existing class: this lab is about writing your own methods!

*If you feel comfortable with your project*, there are two additional challenges for you:

- Write some (or all!) of the methods suggested at the end of `ArrayLib.cs`.
- Turn your project using Visual Studio Team Services (<https://www.visualstudio.com/team-services/>).
You can find a small tutorial at <https://docs.microsoft.com/en-us/vsts/git/gitquickstart?view=vsts&tabs=visual-studio>, if you want to invite me, my id is <caubert-augusta.visualstudio.com>. 
