---
title:  CSCI 1301 - Lab 25
author: Clément Aubert
dir: ltr
lang: en
documentclass: scrartcl
papersize: letter
header-includes:
 - \setromanfont[Ligatures={Common,TeX}]{Linux  Libertine O}
 - \setmainfont[Ligatures={Common,TeX}]{Linux  Libertine O}
 - \setsansfont{Linux Biolinum O}
 - \setmonofont{DejaVu Sans Mono}
 - \usepackage{xunicode}
 - \hypersetup{colorlinks=true, allcolors=black}
 - \topmargin=-0.45in
 - \evensidemargin=0in
 - \oddsidemargin=0in
 - \textwidth=6.5in
 - \textheight=9.0in
 - \headsep=0.25in
 - \linespread{1.1}
 - \setlength\parindent{0pt}
 - \usepackage{lastpage}
 - \usepackage{fancyhdr}
 - \pagestyle{fancy}
 - \fancypagestyle{plain}{
        \cfoot{\href{http://spots.augusta.edu/caubert/pcp/}{spots.augusta.edu/caubert/pcp/}}
        \rfoot{Page\ \thepage\ of\ \protect\pageref{LastPage}}\renewcommand{\footrulewidth}{0.4pt}
        \lhead{}
        \rhead{}
        \renewcommand{\headrulewidth}{0pt}
    }
 - \lhead{\textbf{Lab 25}}
 - \rhead{CSCI 1301 - Principles of Computer Programming I--Spring 2018}
 - \lfoot{Thu., 17th April}
 - \cfoot{\href{http://spots.augusta.edu/caubert/pcp/}{spots.augusta.edu/caubert/pcp/}}
 - \rfoot{Page\ \thepage\ of\ \protect\pageref{LastPage}}
 - \renewcommand{\footrulewidth}{0.4pt}
 - \renewcommand{\headrulewidth}{0.4pt}
 - \usepackage{fvextra}
 - \DefineVerbatimEnvironment{Highlighting}{Verbatim}{breaklines,commandchars=\\\{\}}
---

Today's lab is centered on the code we just studied: start by [downloading it](Game.zip).

# Part I - Discovering and Using the Code

Start by compiling and executing the code.
Then, modify the content of the `main` method:

- Create a second `Game` object, 
- Set the scores in that object using the other method (the one that takes an array as argument),
- Set the time using the `SetTime` method. Try insetring abnormal values (i.e., 14 for the month): what happens?

# Part II - Extending the Class

- Write a new constructor, that takes 3 arguments: the number of players, the names of the players presented in a `string` array, and the scores of the players presented in a `int` array.
- Write a method that returns the name of the player with the greatest score.
- Write a method that returns the name of the player with the lowest score.
- Write a method `AddPlayers` that takes an integer parameter and add the number given as parameters players, and ask for their names. You can call the `AddAPlayer` from that method to make your job easier!

# Part III - Pushing Further (optional)

No "pushing further" today.
